Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.container
Class PortletApplicationContextImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.container.PortletApplicationContextImpl

All Implemented Interfaces:
  PortletApplicationContext

    public class PortletApplicationContextImpl

extends java.lang.Object
implements PortletApplicationContext

Version:
  $Revision: 6697 $
Author:
  Julien Viet

Constructor Summary
`PortletApplicationContextImpl(PortletApplicationRegistry registry, PortletAPIFactory portletAPIFactory, PortletInfoFactory portletInfoFactory, PortletApplicationMetaData portletAppMD, JBossApplicationMetaData jbossAppMD, javax.servlet.ServletContext servletContext, java.lang.ClassLoader classLoader, java.lang.String contextPath)`

Method Summary
`java.lang.ClassLoader` | `getClassLoader()` Return the classloader.
`java.lang.String` | `getContextPath()` Returns the context path of the web application
`PortletApplicationImpl` | `getPortletApplication()`
`javax.servlet.ServletContext` | `getServletContext()` Return the servlet context.
`void` | `startPortletApplication()` Start the portlet application and its components.
`void` | `startPortletContainer(java.lang.String portletName)` Start a portlet container.
`void` | `stopPortletApplication()` Stop the portlet application and its components.
`void` | `stopPortletContainer(java.lang.String portletName)` Stop a portlet container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletApplicationContextImpl

    public PortletApplicationContextImpl(PortletApplicationRegistry registry,
                                         PortletAPIFactory portletAPIFactory,
                                         PortletInfoFactory portletInfoFactory,
                                         PortletApplicationMetaData portletAppMD,
                                         JBossApplicationMetaData jbossAppMD,
                                         javax.servlet.ServletContext servletContext,
                                         java.lang.ClassLoader classLoader,
                                         java.lang.String contextPath)

Method Detail

### getPortletApplication

    public PortletApplicationImpl getPortletApplication()

### startPortletApplication

    public void startPortletApplication()
                                 throws java.lang.Exception

  Description copied from interface: `PortletApplicationContext`
  Start the portlet application and its components.

  Specified by:
    `startPortletApplication` in interface `PortletApplicationContext`
  Throws:
    `java.lang.Exception`

### stopPortletApplication

    public void stopPortletApplication()

  Description copied from interface: `PortletApplicationContext`
  Stop the portlet application and its components.

  Specified by:
    `stopPortletApplication` in interface `PortletApplicationContext`

### startPortletContainer

    public void startPortletContainer(java.lang.String portletName)
                               throws java.lang.Exception

  Description copied from interface: `PortletApplicationContext`
  Start a portlet container.

  Specified by:
    `startPortletContainer` in interface `PortletApplicationContext`
  Parameters:
    `portletName` - the container name
  Throws:
    `java.lang.Exception`

### stopPortletContainer

    public void stopPortletContainer(java.lang.String portletName)

  Description copied from interface: `PortletApplicationContext`
  Stop a portlet container.

  Specified by:
    `stopPortletContainer` in interface `PortletApplicationContext`
  Parameters:
    `portletName` - the container name

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Description copied from interface: `PortletApplicationContext`
  Return the servlet context.

  Specified by:
    `getServletContext` in interface `PortletApplicationContext`
  Returns:
    the servlet context

### getContextPath

    public java.lang.String getContextPath()

  Description copied from interface: `PortletApplicationContext`
  Returns the context path of the web application

  Specified by:
    `getContextPath` in interface `PortletApplicationContext`
  Returns:
    the context path

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Description copied from interface: `PortletApplicationContext`
  Return the classloader.

  Specified by:
    `getClassLoader` in interface `PortletApplicationContext`
  Returns:
    the classloader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD